/* migstat08_sas.zip: 06 Endtypisierung Grosseltern 2008.sas */

OPTIONS NOFMTERR; RUN;   /* ohne Formate */

/* Arbeitsverzeichnis in '<...>' eintragen; z. B. c:\temp */
libname mzjahr '<Arbeitsverzeichnis'>;


/*	3. Endtypisierung der Grosseltern */
/*	Endtypisierung des Migrationshintergrundes der Grosseltern */
/*	Anlegen des grundtypisierten Ausgangsmaterials */

/*  Auswahl des grundtypisierten Materials fuer alle als Grosseltern 
	identifizierten Personen */
proc sql;
	create table mzjahr.GrosselternTypTmp as
	select a.*
	from mzjahr.MZTypisiert as a, mzjahr.Grosseltern as b
	where a.ef1=b.ef1 and a.ef3=b.ef3 and a.ef4=b.ef4 
		and a.ef12=b.ef12 and a.ef5a=b.ef5a and a.ef5b=b.ef5b;
quit;

/*	CODE FR JAHRE 2006-2008 und 2010-2012: 
	die Grosselterndatei enthaelt keine Angaben zu nicht im HH lebenden Eltern; 
	deshalb kann die Grundtypisierung unveraendert ausgegeben werden */
data mzjahr.GrosselternTypisiert (KEEP=EF1 EF3 EF4 EF5a EF5b EF12 MIG SA1 SA2 SA3 SA SA_erw)

	ErrorGross (Keep=EF1 EF3 EF4 EF5a EF5b EF12 p v m kennung);

	retain EF1 EF3 EF4 EF5a EF5b EF12 MIG SA1 SA2 SA3 SA SA_erw;

/*	Quelle ist die Datei 'GrosselternTypTmp' */
	set mzjahr.GrosselternTypTmp; 

output mzjahr.GrosselternTypisiert;
run;

